# Uses of Interface
org.bukkit.boss.DragonBattle

Packages that use DragonBattle
Package
Description
io.papermc.paper.event.block
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of DragonBattle in io.papermc.paper.event.block

Methods in io.papermc.paper.event.block that return DragonBattle
Modifier and Type
Method
Description
`@NotNull DragonBattle`
DragonEggFormEvent.`getDragonBattle()`
Gets the `DragonBattle` associated with this event.
Constructors in io.papermc.paper.event.block with parameters of type DragonBattle
Modifier
Constructor
Description
``
`DragonEggFormEvent(@NotNull Block block, @NotNull BlockState newState, @NotNull DragonBattle dragonBattle)`

## Uses of DragonBattle in org.bukkit

Methods in org.bukkit that return DragonBattle
Modifier and Type
Method
Description
`@Nullable DragonBattle`
World.`getEnderDragonBattle()`
Get the `DragonBattle` associated with this world.

## Uses of DragonBattle in org.bukkit.entity

Methods in org.bukkit.entity that return DragonBattle
Modifier and Type
Method
Description
`@Nullable DragonBattle`
EnderDragon.`getDragonBattle()`
Get the `DragonBattle` associated with this EnderDragon.